﻿<?xml version="1.0" encoding="utf-8"?>
<configuration>
  <configSections>
    <section name="specFlow" type="TechTalk.SpecFlow.Configuration.ConfigurationSectionHandler, TechTalk.SpecFlow" />
  </configSections>

  <appSettings>
    <add key="testReportFilePath" value="..\..\..\aat\WSS.AAT.Scenarios.ActivityLog.json" />
  </appSettings>

  <connectionStrings>
        <add connectionString="Data Source=oasys-fitnesse-dbserver;Initial Catalog=Oasys;Integrated Security=True" name="Oasys" />
  </connectionStrings>

  <specFlow>
    <stepAssemblies>
      <stepAssembly assembly="SpecResults" />
      <stepAssembly assembly="WSS.AAT.Common.Utility" />
    </stepAssemblies>
    <unitTestProvider name="NUnit" />
  </specFlow>

  <runtime>
    <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
      <dependentAssembly>
        <assemblyIdentity name="Newtonsoft.Json" publicKeyToken="30ad4fe6b2a6aeed" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-7.0.0.0" newVersion="7.0.0.0" />
      </dependentAssembly>
    </assemblyBinding>
  </runtime>

  <startup> 
    <supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.0" />
  </startup>
</configuration>
